# Class goog.debug.Logger.Level

code »

The Level class defines a set of standard logging levels that can be used to control logging output. The logging Level objects are ordered and are specified by ordered integers. Enabling logging at a given level also enables logging at all higher levels.

Clients should normally use the predefined Level constants such as Level.SEVERE.

The levels in descending order are:

- SEVERE (highest value)
- WARNING
- INFO
- CONFIG
- FINE
- FINER
- FINEST (lowest value)

In addition there is a level OFF that can be used to turn off logging, and a level ALL that can be used to enable logging of all messages.

## Constructor

goog.debug.Logger.Level ( name, value )

Parameters

name: `string`
  The name of the level.
value: `number`
  The numeric value of the level.

Show:Public Protected Private

## Instance Methods

code »toString ( ) ⇒ `string`

Returns

String representation of the logger level.

## Instance Properties

code »name : `string`

The name of the level

code »value : `number`

The numeric value of the level

## Static Functions

code »goog.debug.Logger.Level.createPredefinedLevelsCache_ ( )

Creates the predefined levels cache and populates it.

code »goog.debug.Logger.Level.getPredefinedLevel ( name ) ⇒ `goog.debug.Logger.Level`

Gets the predefined level with the given name.

Parameters

name: `string`
  The name of the level.

Returns

The level, or null if none found.

code »goog.debug.Logger.Level.getPredefinedLevelByValue ( value ) ⇒ `goog.debug.Logger.Level`

Gets the highest predefined level <= #value.

Parameters

value: `number`
  Level value.

Returns

The level, or null if none found.

## Static Properties

code »goog.debug.Logger.Level.ALL : `!goog.debug.Logger.Level`

ALL indicates that all messages should be logged. This level is initialized to `0`.

code »goog.debug.Logger.Level.CONFIG : `!goog.debug.Logger.Level`

CONFIG is a message level for static configuration messages. This level is initialized to `700`.

code »goog.debug.Logger.Level.FINE : `!goog.debug.Logger.Level`

FINE is a message level providing tracing information. This level is initialized to `500`.

code »goog.debug.Logger.Level.FINER : `!goog.debug.Logger.Level`

FINER indicates a fairly detailed tracing message. This level is initialized to `400`.

code »goog.debug.Logger.Level.FINEST : `!goog.debug.Logger.Level`

FINEST indicates a highly detailed tracing message. This level is initialized to `300`.

code »goog.debug.Logger.Level.INFO : `!goog.debug.Logger.Level`

INFO is a message level for informational messages. This level is initialized to `800`.

code »goog.debug.Logger.Level.OFF : `!goog.debug.Logger.Level`

OFF is a special level that can be used to turn off logging. This level is initialized to `Infinity`.

code »goog.debug.Logger.Level.PREDEFINED_LEVELS : `!Array`

The predefined levels.

code »goog.debug.Logger.Level.SEVERE : `!goog.debug.Logger.Level`

SEVERE is a message level indicating a serious failure. This level is initialized to `1000`.

code »goog.debug.Logger.Level.SHOUT : `!goog.debug.Logger.Level`

SHOUT is a message level for extra debugging loudness. This level is initialized to `1200`.

code »goog.debug.Logger.Level.WARNING : `!goog.debug.Logger.Level`

WARNING is a message level indicating a potential problem. This level is initialized to `900`.

code »goog.debug.Logger.Level.predefinedLevelsCache_ : `Object`

A lookup map used to find the level object based on the name or value of the level object.